clear
insheet using "Hauser_et_al_data.csv"

// Data for each individual is included in the file. 
// For one arbitrarily chocen individual in each group, we also include
// the group-level outcome ('sustained') of that individual's group.
// Thus 'sustained' has one observation per group, allowing 
// appropriate group-level analysis / statistics.

//Table S1 - Unregulated v Voting
reg sustained i.voting if (condition =="Free" | condition=="Voting") & generation==1  , robust
reg sustained i.voting if (condition =="Free" | condition=="Voting")  , robust

//Table S2 - Individual decision Unregulated v Voting
reg cooperator i.voting if (condition =="Free" | condition=="Voting") & generation==1  , cluster(generationid)
reg cooperator i.voting if (condition =="Free" | condition=="Voting")  , cluster(generationid)
reg decision i.voting if (condition =="Free" | condition=="Voting") & generation==1  , cluster(generationid)
reg decision i.voting if (condition =="Free" | condition=="Voting")   , cluster(generationid)

//Table S3  - Effect of Delta and T
reg sustained delta threshold if (condition=="Voting" | condition=="V D=.6" | condition=="V D=.7" | condition=="V T=30" | condition=="V T=40") & generation==1  , robust
reg sustained delta threshold if (condition=="Voting" | condition=="V D=.6" | condition=="V D=.7" | condition=="V T=30" | condition=="V T=40")    , robust

//Table S4  - Lower Delta and T vs unregulated
char delta [omit] 0.8
char threshold [omit] 50
xi: reg sustained i.delta i.threshold if (condition=="Free" | condition=="V D=.6" | condition=="V D=.7" | condition=="V T=30" | condition=="V T=40")  & generation==1  ,robust
xi: reg sustained i.delta i.threshold if (condition=="Free" | condition=="V D=.6" | condition=="V D=.7" | condition=="V T=30" | condition=="V T=40"), robust

//Table S5  - Partial v everything else
char condition[omit] "Partial"
xi: reg sustained i.condition if generation==1  , robust
xi: reg sustained i.condition , robust







